Security
bearer
- Mock serverhttps://docs.axiomera.com/_mock/apis/heydonto/openapi/site/{siteId}
- Sandboxhttps://api-staging.heydonto.com/site/{siteId}
- Productionhttps://api.heydonto.com/site/{siteId}
curl -i -X GET \
'https://docs.axiomera.com/_mock/apis/heydonto/openapi/site/{siteId}?userId=42&name=Downtown%20Clinic&clientAccountId=1&organizationId=1&brandId=1' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Site retrieved successfully.
The ID of the practice management system used by the site
Example:202
Integration type for the site
Default:"PMS"
Enum:"PMS""CUSTOM"
Example:"PMS"
Output data store type for the site
Default:"FHIR_R4"
Enum:"FHIR_R4""AHDS_V1""CUSTOM""NONE"
Example:"FHIR_R4"
The date of the most recent sync with the site
Example:"2021-06-01T12:00:00Z"
The name of the cloud organization for the site
Example:"HealthCorp Cloud"
The practice management system used by the site
Response
{ "id": 123, "name": "Downtown Clinic", "address": { "lat": 37.7749, "lng": -122.4194, "url": "https://maps.google.com/?q=123+Main+St", "formatted_address": "123 Main St, San Francisco, CA 94103" }, "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4", "phoneNumber": "+1 (555) 123-4567", "website": "https://downtownclinic.com", "anyDeskIp": "192.168.1.100", "createdByUserId": 202, "createdAt": "2021-05-01T12:00:00Z", "updatedAt": "2021-05-01T12:00:00Z", "deletedAt": "null", "clientAccountId": 456, "organizationId": 789, "brandId": 101, "practiceManagementSystemId": 202, "integrationType": "PMS", "outputDataStoreType": "FHIR_R4", "licenseKey": "XXX-YYY-ZZZ-AAA-BBB", "fhirStoreId": "fhir-store-123", "firstSyncDate": "2021-05-15T12:00:00Z", "latestSyncDate": "2021-06-01T12:00:00Z", "synchronizationIsActive": true, "siteManagerUserId": 303, "cloudUserName": "downtown.clinic", "cloudUserPassword": "encrypted-password", "cloudOrganizationName": "HealthCorp Cloud", "cloudLoginUrl": "https://cloud.healthcorp.com/login", "clientAccount": { "id": 456, "title": "HealthCorp Client", "phoneNumber": "+1 (555) 123-4567", "website": "https://healthcorp.com", "isEnabled": true, "createdAt": "2021-05-01T12:00:00Z", "updatedAt": "2021-05-01T12:00:00Z" }, "organization": { "id": 123, "title": "HealthCorp", "website": "https://healthcorp.com", "isEnabled": true, "clientAccountId": 456, "createdAt": "2021-05-01T12:00:00Z", "updatedAt": "2021-05-01T12:00:00Z" }, "brand": { "id": 789, "title": "HealthCorp Brand", "isEnabled": true, "organizationId": 123, "clientAccountId": 456, "createdAt": "2021-05-01T12:00:00Z", "updatedAt": "2021-05-01T12:00:00Z" }, "practiceManagementSystem": { "id": 101, "title": "MedicalSoft Pro", "isCloudBased": true, "isEnabled": true, "createdAt": "2021-05-01T12:00:00Z", "updatedAt": "2021-05-01T12:00:00Z" }, "createdByUser": { "id": 202, "email": "john.doe@healthcorp.com", "firstName": "John", "lastName": "Doe", "role": "SITE_USER", "isEnabled": true, "createdAt": "2021-05-01T12:00:00Z", "updatedAt": "2021-05-01T12:00:00Z", "lastLoginDate": "2021-06-01T12:00:00Z" }, "siteUsers": [ { … } ], "siteManagerUser": { "id": 303, "email": "manager@healthcorp.com", "firstName": "Jane", "lastName": "Smith", "role": "SITE_MANAGER_USER", "isEnabled": true, "createdAt": "2021-05-01T12:00:00Z", "updatedAt": "2021-05-01T12:00:00Z", "lastLoginDate": "2021-06-01T12:00:00Z" }, "integrationTosAcceptedAt": "2021-08-01T00:00:00.000Z" }